Bug 1379033 - Picard doesn't start due to change in mutagen, throws BitPaddedInt import error
Summary: Picard doesn't start due to change in mutagen, throws BitPaddedInt import error
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: picard
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-24 05:45 UTC by Chris Smart
Modified: 2017-07-14 23:50 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-14 23:50:16 UTC


Attachments (Terms of Use)
Backported patch from GIT commit 6ed354406adf72ef7972b7f52a4aa94d68a295ad (16.28 KB, patch)
2016-10-17 12:17 UTC, Robert-André Mauchin
no flags Details | Diff

Description Chris Smart 2016-09-24 05:45:34 UTC
Description of problem:
Starting Picard on Fedora 25 throws python error:

[15:24 csmart ~/Music]$ picard 
Traceback (most recent call last):
  File "/usr/bin/picard", line 2, in <module>
    from picard.tagger import main; main('/usr/share/locale', True)
  File "/usr/lib64/python2.7/site-packages/picard/tagger.py", line 65, in <module>
    from picard.formats import open as open_file
  File "/usr/lib64/python2.7/site-packages/picard/formats/__init__.py", line 157, in <module>
    from picard.formats.id3 import (
  File "/usr/lib64/python2.7/site-packages/picard/formats/id3.py", line 30, in <module>
    from picard.formats.mutagenext import compatid3
  File "/usr/lib64/python2.7/site-packages/picard/formats/mutagenext/compatid3.py", line 25, in <module>
    from mutagen.id3 import ID3, Frames, Frames_2_2, TextFrame, TORY, \
ImportError: cannot import name BitPaddedInt

Probably need this patch at least, from upstream:
https://github.com/metabrainz/picard/commit/6ed354406adf72ef7972b7f52a4aa94d68a295ad

How reproducible:
Always

Steps to Reproduce:
1. Install picard
2. Run picard from command line

Actual results:
Picard fails to start with Python ImportError.

Expected results:
Picard should start.

Additional info:

Comment 1 Robert-André Mauchin 2016-10-17 12:17 UTC
Created attachment 1211324 [details]
Backported patch from GIT commit 6ed354406adf72ef7972b7f52a4aa94d68a295ad

I had the same bug as reporter, so I rebuilt the package with this patch imported from git diff.

Comment 2 Fedora Update System 2017-06-28 19:24:51 UTC
picard-1.3.2-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6ba86beae7

Comment 3 Fedora Update System 2017-06-30 01:20:31 UTC
picard-1.3.2-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6ba86beae7

Comment 4 Fedora Update System 2017-07-14 23:50:16 UTC
picard-1.3.2-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.